<template>
  <!-- 表单渲染 -->
  <el-dialog append-to-body :close-on-click-modal="false" :show-close="false" :visible="visible" width="520px" top="26vh">
    <div class="review-box">
      <div class="review-title">审核意见：</div>
      <div class="review-text">{{ formData.reviewComments }}</div>
    </div>
    <div slot="footer" class="dialog-footer" style="text-align: center">
      <el-button @click="cancelView">关闭</el-button>
    </div>
  </el-dialog>
</template>
<script>
import { HttpReq } from '@/api/common'

export default {
  data() {
    return {
      visible: false,
      formData: {
        reviewComments: '请咨询后台管理员了解详情...'
      }
    }
  },

  mounted() {
  },
  methods: {
    showView() {
      this.visible = true
    },
    hideView() {
      this.visible = false
    },
    cancelView() {
      this.hideView()
    },
    loadData(id) {
      this.showView()
    }
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
.review-box {
  padding: 0 50px;
  width: 100%;
  font-family: Source Han Sans CN;
  .review-title {
    font-size: 18px;
    font-weight: bold;
    color: #333;
  }
  .review-text {
    padding-top: 15px;
    color: #777;
  }
}
</style>
